Bug 445852 - Tomcat used by Dogtag doesn't load needed jakarta-commons-collections lib
Tomcat used by Dogtag doesn't load needed jakarta-commons-collections lib
Status: CLOSED CURRENTRELEASE
Product: Dogtag Certificate System
Classification: Community
Component: Tomcat (Show other bugs)
1.0
All Linux
low Severity low
: ---
: ---
Assigned To: Matthew Harmsen
Chandrasekar Kannan
:
Depends On:
Blocks: 445047
  Show dependency treegraph
 
Reported: 2008-05-09 09:08 EDT by Aleksander Adamowski
Modified: 2015-01-04 18:32 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-04 16:16:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Aleksander Adamowski 2008-05-09 09:08:58 EDT
Description of problem:

After installing pki-ca package from yum repository on Fedora 8, and visiting
the configuration URL (http://<fully qualified domain name>:<ca
port>/ca/admin/console/config/login?pin=<PIN>), on gets an error page from
Tomcat. According to the exception, it cannot load a required class from Jakarta
Commons Collections:

java.lang.NoClassDefFoundError: org/apache/commons/collections/ExtendedProperties
        at
org.apache.velocity.runtime.RuntimeInstance.<init>(RuntimeInstance.java:160)
....



Version-Release number of selected component (if applicable):
pki-ca-1.0.0-1.fc8
tomcat5-5.5.26-1jpp.2.fc8


How reproducible:
Always


Steps to Reproduce:
1. Install pki-ca (http://pki.fedoraproject.org/wiki/PKI_Install_Guide)
2. Try to visit the configuration URL that the RPM install script outputs on the
terminal
  
Actual results:
An exception is thrown by Tomcat

Expected results:
The Certificate Authority Configuration Wizard page is displayed


Additional info:

The workaround is to symlink the jakarta-commons-collections library into
Tomcat's lib dir, then restart pki-ca:

ln -s /usr/share/java/jakarta-commons-collections.jar
'/usr/share/tomcat5/common/lib/[commons-collections].jar'

Possibly the more correct place would be /var/lib/pki-ca/webapps/ca/WEB-INF/lib
instead of /usr/share/tomcat5/common/lib/, if Tomcat itself doesn't require
jakarta-commons-collections.

Note You need to log in before you can comment on or make changes to this bug.